SDL_BindGPUGraphicsPipeline(3)

NAME
SDL_BindGPUGraphicsPipeline - Binds a graphics pipeline on a render pass to be used in rendering.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUGraphicsPipeline(
    SDL_GPURenderPass *render_pass,
    SDL_GPUGraphicsPipeline *graphics_pipeline);

DESCRIPTION
A graphics pipeline must be bound before making any draw calls.

FUNCTION PARAMETERS

render_pass
    a render pass handle.

graphics_pipeline
    the graphics pipeline to bind.

AVAILABILITY
This function is available since SDL 3.2.0.